#include <conio.h>
#include "string.hpp"
#include "iostream.hpp"

void main(void)
{
	//length() and const char*() already tested, used internally

	string a;					// Default constructor
	a = "blat";					// Assignment operator
	string b(a);				// Copy constructor
	string c("blatblat");	// Construct from C-string

	clrscr();

	cout << "a is " << a.length() << " characters long\n"; // Length
	cout << "c is " << c.length() << " characters long\n";

	a.toUpper();				// Convert to upper case
	a.toLower();				// Convert to lower case

	c = a + b;					// Catenation
	c = a + "blat";
	c = "blat" + b;
	c += b;						// Catenation/assignment

	cout << a + " == " + b + " is " << (a==b) << "\n";	// Test for equality
	cout << a + " == " + c + " is " << (a==c) << "\n";	// Test for equality
	cout << a + " != " + b + " is " << (a!=b) << "\n";	// Test for inequality
	cout << a + " != " + c + " is " << (a!=c) << "\n";	// Test for inequality

	a.toUpper();			// Case insensitive comparison
	cout << a + " == " + b + " is " << (a==b) << " case-sensitive\n";
	string::caseSensitive = F;
	cout << a + " == " + b + " is " << (a==b) << " case-insensitive\n";
	string::caseSensitive = T;

	a = "blat"; b = "blatt";
	cout << a + " < " + b + " is " << (a<b) << "\n";	// <
	cout << a + " > " + b + " is " << (a>b) << "\n";	// >

	c[5] = c[6];     		// Subscript
	cout << "c = " << c << "\n";

	cout << "a.substring(2,3) = " << a.subString(2,3) << "\n";	// Substring
}

